package com.sdtool.common.api.mall;

import com.sdtool.common.api.ScriptService;
import com.sdtool.common.entity.base.InvokeCallParams;
import com.sdtool.common.entity.base.InvokeCallResult;
import com.sdtool.common.entity.mall.MallUser;
import com.sdtool.common.entity.mall.MallUserLevel;
import com.sdtool.common.entity.site.ERPTokenUser;
import com.sweetfish.service.RetResult;

import java.util.List;

public interface MallAdminService extends ScriptService {
    RetResult<InvokeCallResult> callMall(InvokeCallParams source , ERPTokenUser currentUser, String dataSourceId, long supplierCode);

    MallUser getRedisMallUser(long userId, long supplierCode);

    List<MallUser> getRedisMallUserList(String[] userIds, long supplierCode);

    MallUserLevel getRedisMallUserLevel(long id, long supplierCode);

    List<MallUserLevel> getRedisMallUserLevelList(long[] ids, long supplierCode);

    MallUserLevel getMallUserLevelInfo(long userId,long supplierCode);

}
